# Gnome::GdaUI::Login Class Reference

Login - Connection opening dialog. More...

Inherits Gtk::VBox.

Collaboration diagram for Gnome::GdaUI::Login:
[legend]

List of all members.

## Public Member Functions

virtual | ~Login ()
GdauiLogin* | gobj ()
| Provides access to the underlying C GtkObject.
const GdauiLogin* | gobj () const
| Provides access to the underlying C GtkObject.
| Login (const Glib::ustring& dsn)
| Creates a new login widget which enables the user to specify connection parameters.
void | set_mode (LoginMode mode)
| Set how login operates.
const GdaDsnInfo* | get_connection_information ()
| Get the information specified in login as a pointer to a (read-only) Gda::DsnInfo.
void | set_dsn (const Glib::ustring& dsn)
| Changes the information displayed in login, to represent dsn.
void | set_connection_information (const GdaDsnInfo* cinfo)
| Changes the information displayed in login, to represent cinfo.
Glib::SignalProxy1< void, bool > | signal_changed ()
Glib::PropertyProxy < Glib::ustring > | property_dsn ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_dsn () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< LoginMode > | property_mode ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < LoginMode > | property_mode () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_valid () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.

## Protected Member Functions

virtual void | on_changed (bool is_valid)

## Related Functions

(Note that these are not member functions.)
Gnome::GdaUI::Login* | wrap (GdauiLogin* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Login - Connection opening dialog.

The Login widget can be used when the user needs to enter data to open a connection. It can be customized in several ways:

- Data source (DSN) selection can be shown or hidden.
- The button to launch the control center to declare new data sources can be shown or hidden.
- The form to open a connection not using a DSN can be shown or hidden.

## Constructor & Destructor Documentation

virtual Gnome::GdaUI::Login::~Login | ( |  | ) | `[virtual]`

Gnome::GdaUI::Login::Login | ( | const Glib::ustring & | dsn | ) | `[explicit]`

Creates a new login widget which enables the user to specify connection parameters.

Parameters:

  | dsn | A data source name, or `0`.

Returns:
  A new widget

Since libgda-uimm 4.2:

## Member Function Documentation

const GdaDsnInfo* Gnome::GdaUI::Login::get_connection_information | ( |  | ) |

Get the information specified in login as a pointer to a (read-only) Gda::DsnInfo.

If the connection is not specified by a DSN, then the 'name' attribute of the returned Gda::DsnInfo will be `0`, and otherwise it will contain the name of the selected DSN.

Retuns: a pointer to a (read-only) Gda::DsnInfo.

Since libgda-uimm 4.2:

const GdauiLogin* Gnome::GdaUI::Login::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

GdauiLogin* Gnome::GdaUI::Login::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::VBox.

virtual void Gnome::GdaUI::Login::on_changed | ( | bool | is_valid | ) | `[protected, virtual]`

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gnome::GdaUI::Login::property_dsn | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gnome::GdaUI::Login::property_dsn | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<LoginMode> Gnome::GdaUI::Login::property_mode | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<LoginMode> Gnome::GdaUI::Login::property_mode | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gnome::GdaUI::Login::property_valid | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gnome::GdaUI::Login::set_connection_information | ( | const GdaDsnInfo * | cinfo | ) |

Changes the information displayed in login, to represent cinfo.

If login's mode has Gda::UI_LOGIN_HIDE_DIRECT_CONNECTION_MODE, then if cinfo->name is not `0` it is displayed in the DSN selector, otherwise a warning is shown and the result is the same as having passed `0` for the cinfo argument.

In any case login's mode (set by set_mode()) is not changed.

Parameters:

  | cinfo | A pointer to a structure representing the information to display.

void Gnome::GdaUI::Login::set_dsn | ( | const Glib::ustring & | dsn | ) |

Changes the information displayed in login, to represent dsn.

If login's mode has Gda::UI_LOGIN_HIDE_DSN_SELECTION_MODE, then the DSN information is extracted and displayed in the direct login area.

If dsn is not a declared data source name, then a warning is shown and the result is the same as having passed `0` for the dsn argument.

In any case login's mode (set by set_mode()) is not changed.

Parameters:

  | dsn | A data source name, or `0`.

void Gnome::GdaUI::Login::set_mode | ( | LoginMode | mode | ) |

Set how login operates.

Since libgda-uimm 4.2:

Parameters:

  | mode | A flag.

Glib::SignalProxy1< void,bool > Gnome::GdaUI::Login::signal_changed | ( |  | ) |

Prototype:
  `void on_my_changed(bool is_valid)`

## Friends And Related Function Documentation

Gnome::GdaUI::Login* wrap | ( | GdauiLogin * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- libgda-uimm/login.h